Subject: Re: bug#61386: [PATCH] cp,mv,install: Disable sparse copy on macOS

From: Pádraig Brady <[email-masked]>
Date: Mon, 13 Feb 2023 14:15:22 +0000

On 12/02/2023 23:37, George Valkov wrote:
> 
> I can confirm that. CLONE_ACL is 4 when building on macOS 12.6.3. I rand the compiled sample on the recovery environment, which is equivalent to macOS 13.3. The flag is supported, though I did not observe any difference with or without it. The sample was ran as root, while the source and destination were set to g:staff 600 @.

I guess the CLONE_ACL value is more dependent on xcode rather than macOS version.
I confirmed again on macOS 13.2 that CLONE_ACL is honored and behaves as expected.
I guess on 12.6.3 it's failing with EINVAL and falling back to the CLONE_ACL==0 case.

cheers,
Pádraig